TechDraw Cote de rayon

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw RadiusDimension and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский
Arrow-left.svg Page précédente : TechDraw VerticalDimension.svg Cote verticale
Page suivante : Cote de diamètre TechDraw DiameterDimension.svg Arrow-right.svg

TechDraw RadiusDimension.svg TechDraw Cote de rayon

Emplacement du menu
TechDraw → Dimensions → Insérer une nouvelle cote de rayon
Ateliers
TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
TechDraw Cote de diamètre

Description

L'outil Cote de rayon ajoute une dimension de rayon à une vue. La cote peut être appliquée à n'importe quel bord du dessin, que ce soit un cercle ou un arc de cercle. La distance sera initialement la distance projetée (c'est-à-dire, comme indiqué sur le dessin), mais elle peut être remplacée par la distance 3D réelle à l'aide de l'outil TechDraw LinkDimension.svg TechDraw Lier une dimension.

TechDraw Dimension Radius example.png

Mesurer un cercle, indiquant le rayon

Comment faire

  1. Sélectionnez un cercle ou un arc de cercle dans le dessin. (Remarquez que certains arcs qui semblent être circulaires sont en fait des ellipses ou des B-splines. Vous ne pouvez pas créer de cote de rayon dans ces cas-là)
  2. Appuyez sur le bouton TechDraw RadiusDimension.svg Insérer une nouvelle cote de rayon
  3. Une dimension sera ajoutée à la vue. La dimension peut être déplacée à la position désirée.
  4. Si nécessaire, ajoutez des tolérances comme décrit dans cette page.

Pour modifier les propriétés d'un objet dimension, double-cliquez dessus dans le dessin ou dans la Vue en arborescence. Cela ouvrira la Boîte de dialogue Dimension.

Limitations

Les objets Dimension sont vulnérables au "problèmes de nommage topologique". Voir TechDraw Cote de longueur pour plus d'informations.

Propriétés

Voir Cote de longueur.

Script

Voir aussi: TechDraw API et Débuter avec les scripts.

L'outil Cote de rayon peut être utilisé dans des macros et à partir de la console Python à l'aide des fonctions suivantes:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Radius"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)


Arrow-left.svg Page précédente : TechDraw VerticalDimension.svg Cote verticale
Page suivante : Cote de diamètre TechDraw DiameterDimension.svg Arrow-right.svg